CUdevprop(3)

NAME
CUdevprop -

SYNOPSIS

  Data Fields

int clockRate
int maxGridSize [3]
int maxThreadsDim [3]
int maxThreadsPerBlock
int memPitch
int regsPerBlock
int sharedMemPerBlock
int SIMDWidth
int textureAlign
int totalConstantMemory

Detailed Description

Legacy device properties

Field Documentation

  int CUdevprop::clockRate

Clock frequency in kilohertz

  int CUdevprop::maxGridSize[3]

Maximum size of each dimension of a grid

  int CUdevprop::maxThreadsDim[3]

Maximum size of each dimension of a block

  int CUdevprop::maxThreadsPerBlock

Maximum number of threads per block

  int CUdevprop::memPitch

Maximum pitch in bytes allowed by memory copies

  int CUdevprop::regsPerBlock

32-bit registers available per block

  int CUdevprop::sharedMemPerBlock

Shared memory available per block in bytes

  int CUdevprop::SIMDWidth

Warp size in threads

  int CUdevprop::textureAlign

Alignment requirement for textures

  int CUdevprop::totalConstantMemory

Constant memory available on device in bytes

Author

Generated automatically by Doxygen from the source code.